SMAPHMM {SMAP} | R Documentation

## Constructor for "SMAPHMM" objects

### Description

A constructor for `SMAPHMM-class` objects.

### Usage

    SMAPHMM(noStates, Phi, A=NULL,
            Pi=rep(1/noStates,noStates),
            initTrans=0.2/(noStates - 1))

### Arguments

`noStates` | The number of hidden states in the HMM (numeric).
`Phi` | A Gaussian distribution parameter matrix (numeric).
`A` | A `noStates * noStates` matrix of transition probabilities betweeen the hidden states (numeric).
`Pi` | A vector of initial probabilities of starting in a certain state (numeric).
`initTrans` | Specifies the transition probability between non-equal states (numeric).

### Details

`Phi` is a `noStates * 2` matrix that specifies the paramaters of Gaussian distributions associated with each hidden state. The first column specifies standard deviations, the second specifies means.

If `A == NULL`, `initTrans` specifies the transition probability between states `i` and `j` in `1:noStates`, such that `i != j`. Only used if `A == NULL`. `initTrans * noStates` must be smaller than (or equal to) 1.

### Value

An object of class `SMAPHMM-class`.

### Author(s)

Robin Andersson, robin.andersson@lcb.uu.se

### References

Andersson, R., Bruder, C. E. G., Piotrowski, A., Menzel, U., Nord, H., Sandgren, J., Hvidsten, T. R., Diaz de Stahl, T., Dumanski, J. P., Komorowski, J., A Segmental Maximum A Posteriori Approach to Array-CGH Copy Number Profiling, submitted

### See Also

`smap`, `SMAPHMM-class`, `SMAPObservations-class`

[Package SMAP version 1.6.0 Index]